#1 havdalah calculated from Friday

Feature Requests
closed-invalid
6
2013-07-08
2001-08-20
No

[submitted by xxxx@yyyy ]

I'm very impressed with your hebcal website, and I'd
like to point out that the havdalah time computed by
your software should take into account the sunset time
of Saturday, and not of Friday. Since the sunset time
varies from Friday to Saturday, the Havdalah time is
not always 72 mins after sundown on Friday, for
instance.

If you could fix your software to incorporate this
change, perhaps the Havdalah time would be more
accurate.

Discussion

  • Danny Sadinoff

    Danny Sadinoff - 2001-08-20

    Logged In: YES
    user_id=269

    Thank you for submitting a bug report for hebcal.

    Your request has been queued for assessment and, with luck, will
    be fixed Real Soon Now.

    -the hebcal maintainters

     
  • Michael J. Radwin

    Logged In: YES
    user_id=304306

    I'm not sure this is a real bug. Using hebcal 3.2, it
    appears that sunset is re-calculated using saturday's date.

    you can do a simple test to verify this by looking at
    havdalah times -18 minutes after sundown (the same offset
    as friday's candle lighting) and notice that sometimes
    havdalah is a minute earlier or later.

    hebcal -c -m -18 -x -h 1 2002

    1/4/2002 Candle lighting: 4:24
    1/5/2002 Havdalah (-18 min): 4:24
    1/11/2002 Candle lighting: 4:30
    1/12/2002 Havdalah (-18 min): 4:31
    1/18/2002 Candle lighting: 4:38
    1/19/2002 Havdalah (-18 min): 4:39
    1/25/2002 Candle lighting: 4:46
    1/26/2002 Havdalah (-18 min): 4:48

    hebcal -c -m -18 -x -h 8 2002
    8/2/2002 Candle lighting: 7:53
    8/3/2002 Havdalah (-18 min): 7:52
    8/9/2002 Candle lighting: 7:45
    8/10/2002 Havdalah (-18 min): 7:44
    8/16/2002 Candle lighting: 7:36
    8/17/2002 Havdalah (-18 min): 7:34
    8/23/2002 Candle lighting: 7:26
    8/24/2002 Havdalah (-18 min): 7:24
    8/30/2002 Candle lighting: 7:15
    8/31/2002 Havdalah (-18 min): 7:13

    -michael

     
  • Danny Sadinoff

    Danny Sadinoff - 2004-03-01
    • status: open --> open-accepted
     
  • Michael J. Radwin

    • status: open-accepted --> closed-invalid
    • Group: --> Feature Requests
     

Log in to post a comment.